import request from '@/utils/request';


//查询行政区域列表
export function queryRegionList(params:any){
  return request({
    url: '/base/region/queryRegionList' ,
    method: 'get',
    params: params
  });
}
//查询行政区域树
export function queryRegion(params:any){
  return request({
    url: '/base/region/queryRegion' ,
    method: 'get',
    params: params
  });
}
//根据Id查询行政区域
export function queryRegionById(params:any){
  return request({
    url: '/base/region/queryRegionById' ,
    method: 'get',
    params: params
  });
}
//新增行政区域
export function addRegion(data:any){
  return request({
    url:'/base/region/addRegion' ,
    method: 'post',
    data: data
  });
}
//修改行政区域
export function updateRegion(data:any){
  return request({
    url:'/base/region/updateRegion' ,
    method: 'post',
    data: data
  });
}
//修改行政区域
export function delRegion(queryParams:any){
  return request({
    url:'/base/region/delRegion' ,
    method: 'post',
    params: queryParams
  });
}


//导出行政区域
export function exportExcel(queryParams: any) {
  return request({
    url: '/base/region/exportExcel',
    method: 'get',
    params: queryParams,
    responseType: 'arraybuffer'
  });
}


